# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Actionlint < Formula
  desc "Static checker for GitHub Actions workflow files"
  homepage "https://github.com/rhysd/actionlint#readme"
  version "1.4.1"
  license "MIT"
  bottle :unneeded

  on_macos do
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.4.1/actionlint_1.4.1_darwin_amd64.tar.gz"
      sha256 "7a29dae5be9c079febfc9bf9e4b896061105f833344c8e9323d4ae707a8b4d05"
    end
    if Hardware::CPU.arm?
      url "https://github.com/rhysd/actionlint/releases/download/v1.4.1/actionlint_1.4.1_darwin_arm64.tar.gz"
      sha256 "07312964ec57c94fe34cb8097968e6443dbb43f47c33a75756622dc2b3e5343d"
    end
  end

  on_linux do
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.4.1/actionlint_1.4.1_linux_amd64.tar.gz"
      sha256 "3cbeae3e131d6494ef0be89512cfc76063aabb74937f4ad4f6be5820fabc5d55"
    end
    if Hardware::CPU.arm? && !Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.4.1/actionlint_1.4.1_linux_armv6.tar.gz"
      sha256 "9326958d6b45f601eb06e06d754290765ef7498889de16017b7a27bb8fe03759"
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.4.1/actionlint_1.4.1_linux_arm64.tar.gz"
      sha256 "5493c8e93a1820fdb5cfe08009ed91492e914de5a90eab11fa5b4b3296fa6036"
    end
  end

  def install
    bin.install "actionlint"
    man1.install "man/actionlint.1"
  end

  test do
    system "#{bin}/actionlint -version"
  end
end
